<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'featured',

    /*
     * Package.
     */
    'package'   => 'featured',

    /*
     * Modules.
     */
    'modules'   => ['1'],

    
    '1'       => [
        'model' => [
            'model'                 => \Featured\Featured\Models\1::class,
            'table'                 => '1s',
            'presenter'             => \Featured\Featured\Repositories\Presenter\1Presenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title'],
            'translatables'         => [],
            'upload_folder'         => 'featured/1',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Featured',
            'package'   => 'Featured',
            'module'    => '1',
        ],

    ],
];
