Lavalite package that provides featured management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `featured/featured`.

    "featured/featured": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Featured\Featured\Providers\FeaturedServiceProvider::class,

And also add it to alias

    'Featured'  => Featured\Featured\Facades\Featured::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Featured\\FeaturedTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Featured\Featured\Providers\FeaturedServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Featured\Featured\Providers\FeaturedServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Featured\Featured\Providers\FeaturedServiceProvider" --tag="view"


## Usage


