<?php

namespace Featured\Featured\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class 1Transformer extends TransformerAbstract
{
    public function transform(\Featured\Featured\Models\1 $1)
    {
        return [
            'id'                => $1->getRouteKey(),
            'key'               => [
                'public'    => $1->getPublicKey(),
                'route'     => $1->getRouteKey(),
            ], 
            'id'                => $1->id,
            'title'             => $1->title,
            'url'               => [
                'public'    => trans_url('featured/'.$1->getPublicKey()),
                'user'      => guard_url('featured/1/'.$1->getRouteKey()),
            ], 
            'status'            => trans('app.'.$1->status),
            'created_at'        => format_date($1->created_at),
            'updated_at'        => format_date($1->updated_at),
        ];
    }
}